| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Functions
OgreShaderExHardwareSkinning.h File Reference
`#include "OgreShaderPrerequisites.h"`
`#include "OgreShaderSubRenderState.h"`

## Classes
class | Ogre::RTShader::HardwareSkinning
| Implement a sub render state which performs hardware skinning. More...
struct | Ogre::RTShader::HardwareSkinning::SkinningData
class | Ogre::RTShader::HardwareSkinningFactory
| A factory that enables creation of HardwareSkinning instances. More...

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | HS_MAX_WEIGHT_COUNT 4

## Functions
_OgreRTSSExport void | Ogre::RTShader::operator<< (std::ostream &o, const HardwareSkinning::SkinningData &data)

## Macro Definition Documentation

## ◆ HS_MAX_WEIGHT_COUNT

#define HS_MAX_WEIGHT_COUNT 4